﻿using System;
using System.Collections;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace DataGridSeletedItems
{
    class PersonViewModel : INotifyPropertyChanged
    {
        private List<PersonModel> _myModel;
        public IEnumerable<PersonModel> Persons { get { return _myModel; } }

        private IList _selectedModels = new ArrayList();

        public IList TestSelected
        {
            get { return _selectedModels; }
            set
            {
                _selectedModels = value;
                OnPropertyChanged("TestSelected");
            }
        }
        public PersonViewModel()
        {
            //This data will load as the default person from the model attached to the view 
            _myModel = new List<PersonModel>();

            _myModel.Add(new PersonModel
            {
                FirstName = "John",
                LastName = "Keter",
                Age = 34
            });
            _myModel.Add(new PersonModel
            {
                FirstName = "Peter",
                LastName = "Doe",
                Age = 25
            });
            _myModel.Add(new PersonModel
            {
                FirstName = "Kelv",
                LastName = "Ace",
                Age = 10
            });
            _myModel.Add(new PersonModel
            {
                FirstName = "Andrew",
                LastName = "Ken",
                Age = 45
            });
            _myModel.Add(new PersonModel
            {
                FirstName = "Sahm",
                LastName = "Doe",
                Age = 56
            });
            OnPropertyChanged("Model");
        }
        #region INotifyPropertyChanged Members 
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        private void OnPropertyChanged(string propertyName)
        {
            if (PropertyChanged != null)
                PropertyChanged(this,
                    new System.ComponentModel.PropertyChangedEventArgs(propertyName));
        }
        #endregion
    }
}
